Subject: Re: [PATCHv1] net-next: treewide use is_vlan_dev() helper function.

From: Stephen Hemminger <[email-masked]>
Date: Sat, 4 Feb 2017 13:54:29 -0800

On Sat,  4 Feb 2017 11:00:49 -0600
Parav Pandit <[email-masked]> wrote:

> This patch makes use of is_vlan_dev() function instead of flag
> comparison which is exactly done by is_vlan_dev() helper function.
> 
> Signed-off-by: Parav Pandit <[email-masked]>
> Reviewed-by: Daniel Jurgens <[email-masked]>
> ---
>  drivers/infiniband/core/cma.c                        |  6 ++----
>  drivers/infiniband/sw/rxe/rxe_net.c                  |  2 +-
>  drivers/net/ethernet/broadcom/cnic.c                 |  2 +-
>  drivers/net/ethernet/chelsio/cxgb3/l2t.c             |  2 +-
>  drivers/net/ethernet/chelsio/cxgb4/cxgb4_main.c      |  4 ++--
>  drivers/net/ethernet/chelsio/cxgb4/l2t.c             |  2 +-
>  drivers/net/ethernet/qlogic/netxen/netxen_nic_main.c |  8 ++++----
>  drivers/net/ethernet/qlogic/qlcnic/qlcnic_main.c     |  4 ++--
>  drivers/net/hyperv/netvsc_drv.c                      |  2 +-
>  drivers/scsi/bnx2fc/bnx2fc_fcoe.c                    |  6 +++---
>  drivers/scsi/cxgbi/libcxgbi.c                        |  6 +++---
>  drivers/scsi/fcoe/fcoe.c                             | 13 ++++++-------
>  include/rdma/ib_addr.h                               |  6 ++----
>  net/hsr/hsr_slave.c                                  |  3 ++-
>  14 files changed, 31 insertions(+), 35 deletions(-)

Looks good thanks.

Acked-by: Stephen Hemminger <[email-masked]>